Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# BitArray Class Reference
[Unicode core]

## Detailed Description

Bit Array field.

Creates and manages bit array objects.

## Public Member Functions
| BitArray (int size=256)
| Creates bit array with specified number of stored bitfields.
void | setBit (int pos)
| Sets bit at position `pos`.
void | clearBit (int pos)
| Clears bit at position `pos`.
void | addRange (int s, int e)
| Sets bit range.
void | clearRange (int s, int e)
| Clears bit range.
void | addBitArray (BitArray *)
| Sets bits to 1, whose corresponding values in passed bit array are also 1 (bitwize OR).
void | clearBitArray (BitArray *)
| Sets bits to 0, whose corresponding values in passed bit array are also 1.
void | intersectBitArray (BitArray *)
| Makes intersection of current and the passed bit array (bitwize AND).
void | addBitArray (char *, int)
| Adds bit array from the passed byte stream.
void | clearBitArray (char *, int)
| Clears bit array from the passed byte stream.
bool | getBit (int pos)
| Returns bit value at position `pos`.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.